---

version: 0.1.0-{build}

configuration: Release
image: Visual Studio 2017
platform: x64

cache: c:\tools\vcpkg\installed\

build:
    verbosity: minimal


install:
    - set PATH=%PATH%;C:\mingw-w64\x86_64-7.2.0-posix-seh-rt_v5-rev1\mingw64\bin
    - mingw32-make.exe --version
    - call "C:\Program Files (x86)\Microsoft Visual Studio\2017\Community\VC\Auxiliary\Build\vcvars64.bat"
    - vcpkg install
            boost-asio:%PLATFORM%-windows
            boost-beast:%PLATFORM%-windows
            boost-iostreams:%PLATFORM%-windows
            boost-random:%PLATFORM%-windows
            boost-signals2:%PLATFORM%-windows
            boost-system:%PLATFORM%-windows
            boost-thread:%PLATFORM%-windows
            libsodium:%PLATFORM%-windows
            openssl:%PLATFORM%-windows
            spdlog:%PLATFORM%-windows
            zlib:%PLATFORM%-windows

build_script:
    - cmake --version
    - cmake -G "Visual Studio 15 2017 Win64" -Hdeps -B.deps
        -DCMAKE_TOOLCHAIN_FILE=C:/Tools/vcpkg/scripts/buildsystems/vcpkg.cmake
        -DCMAKE_BUILD_TYPE=Release
        -DUSE_BUNDLED_BOOST=OFF
        -DUSE_BUNDLED_SPDLOG=OFF
        -DUSE_BUNDLED_GTEST=OFF
    - cmake --build .deps --config Release

    - cmake -G "Visual Studio 15 2017 Win64" -H. -Bbuild
      -DCMAKE_BUILD_TYPE=Release
      -DCMAKE_TOOLCHAIN_FILE=C:/Tools/vcpkg/scripts/buildsystems/vcpkg.cmake
      -DBUILD_LIB_TESTS=OFF
      -DBUILD_LIB_EXAMPLES=OFF
      -DCMAKE_INSTALL_PREFIX=.deps/usr
    - cmake --build build --config Release
